%define upstream_name    Dist-Zilla-Plugin-Test-Pod-LinkCheck
%define upstream_version 1.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Add release tests for POD links
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod::LinkCheck)
BuildArch: noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage
providing the following files:

  xt/release/pod-linkcheck.t - a standard Test::Pod::LinkCheck test

You can skip the test by setting '$ENV{SKIP_POD_LINKCHECK}'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.2.0-3.mga6
+ Revision: 1026606
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.2.0-2.mga6
+ Revision: 968284
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.2.0-1.mga6
+ Revision: 851995
- update to 1.002

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-5.mga5
+ Revision: 742493
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 684533
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-3.mga4
+ Revision: 511213
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 366504
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - imported package perl-Dist-Zilla-Plugin-Test-Pod-LinkCheck


* Fri Aug 26 2011 cpan2dist 1.001-1mga
- initial mageia release, generated with cpan2dist
